Exponential 5.x Kernel 7.5.40 Exponential New Stack (Symfony-based) Kernel — PHP Class Reference

Public Member Functions | Protected Attributes | List of all members
eZ\Publish\Core\REST\Server\Controller\Services Class Reference

Services controller. More...

Inheritance diagram for eZ\Publish\Core\REST\Server\Controller\Services:

## Public Member Functions
| __construct (array $countriesInfo)
| loadCountryList ()
| Loads Country List. More...
Public Member Functions inherited from eZ\Publish\Core\REST\Server\Controller
| setInputDispatcher (InputDispatcher $inputDispatcher)
| setRouter (RouterInterface $router)
| setRepository (Repository $repository)
| setRequestParser (RequestParser $requestParser)

## Protected Attributes
| $countriesInfo
Protected Attributes inherited from eZ\Publish\Core\REST\Server\Controller
| $inputDispatcher
| $router
| $requestParser
| $repository

## Additional Inherited Members
Protected Member Functions inherited from eZ\Publish\Core\REST\Server\Controller
| getMediaType (Request $request)
| Extracts the requested media type from $request. More...

## Detailed Description

Services controller.

Definition at line 15 of file Services.php.

## Constructor & Destructor Documentation

## ◆ __construct()

eZ\Publish\Core\REST\Server\Controller\Services::__construct | ( | array | $countriesInfo | ) |

Definition at line 20 of file Services.php.

References eZ\Publish\Core\REST\Server\Controller\Services\$countriesInfo.

## Member Function Documentation

## ◆ loadCountryList()

eZ\Publish\Core\REST\Server\Controller\Services::loadCountryList | ( |  | ) |

Loads Country List.

Definition at line 28 of file Services.php.

## Member Data Documentation

## ◆ $countriesInfo

eZ\Publish\Core\REST\Server\Controller\Services::$countriesInfo
| protected

Definition at line 18 of file Services.php.

Referenced by eZ\Publish\Core\REST\Server\Controller\Services\__construct().

The documentation for this class was generated from the following file:

- Services.php

Copyright © 1998 – 2026 7x. All rights reserved. Licensed under the GNU GPLv2+.